Subject: Re: r128 DRI driver now fully functional on PPC

From: Gareth Hughes <[email-masked]>
Date: Tue, 27 Feb 2001 22:39:22 +1100

"Timothy A. Seufert" wrote:
>
> I still have the problem with keyboard/mouse input being ignored once
> a GL app starts.  A friend suggested disabling DGA, but that didn't
> help.  I do notice this message popping in the system logs, repeated
> numerous times:
>
> [drm:drm_lock_take] *ERROR* 1 holds heavyweight lock

This happens when the lock ioctl occurs when the lock is already held.
'1' is the X server, so the X server is grabbing the lock when it
already has it.

-- Gareth

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/